# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-05-24 01:55
from __future__ import unicode_literals

import ado.media.models
from django.db import migrations, models
import jsonfield.fields
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('media', '0005_remove_uuid_alter_uid'),
    ]

    operations = [
        migrations.CreateModel(
            name='MediaUpload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.FileField(help_text='Select a file to upload.', upload_to=ado.media.models.media_upload_to)),
                ('original_filename', models.CharField(max_length=512)),
                ('uid', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False)),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('media_type', models.CharField(max_length=20)),
                ('metadata', jsonfield.fields.JSONField(blank=True)),
            ],
            options={
                'ordering': ('original_filename', '-id'),
            },
        ),
    ]
